GNU bug report logs - #28544
[macOS] emacs will consume 100% cpu after gdb debugee exits

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sung Ho Kim <sk6875@HIDDEN>; Keywords: confirmed; dated Thu, 21 Sep 2017 18:18:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) confirmed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to '[macOS] emacs will consume 100% cpu after gdb debugee exits' from '26.0.50; emacs will consume 100% cpu after gdb debugee exits' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28544 <at> debbugs.gnu.org:


Received: (at 28544) by debbugs.gnu.org; 26 Nov 2017 14:16:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 26 09:16:16 2017
Received: from localhost ([127.0.0.1]:58690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eIxjE-0000Vf-7S
	for submit <at> debbugs.gnu.org; Sun, 26 Nov 2017 09:16:16 -0500
Received: from sinyavsky.aurox.ch ([37.35.109.145]:53552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <charles@HIDDEN>) id 1eIxjC-0000PQ-6K
 for 28544 <at> debbugs.gnu.org; Sun, 26 Nov 2017 09:16:14 -0500
Received: from sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1])
 by sinyavsky.aurox.ch (Postfix) with ESMTP id 78B19225D9
 for <28544 <at> debbugs.gnu.org>; Sun, 26 Nov 2017 14:08:47 +0000 (UTC)
Authentication-Results: sinyavsky.aurox.ch (amavisd-new);
 dkim=pass (1024-bit key) reason="pass (just generated, assumed good)"
 header.d=aurox.ch
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=aurox.ch; h=
 references:subject:subject:in-reply-to:to:from:from:message-id
 :date:date; s=dkim; t=1511705325; x=1512569326; bh=SBuVmPheRsU4D
 A9CyXvIB1TtwD3YksrxDDLvw17rgj0=; b=n5fDw5sboF3y248q4Qr8fZeH4FlcC
 w6JKh6DVwoew+K0B19IcvOZHP5VyY8ODrQfhSz5yvCzhF6MIMs2ATHChRii1Vsxh
 iJzCqqGDWfIInQjq3EIm/+v39bLroQNer62RD3mViaZcndTR+Fo30/yFeR8ECDrf
 bTE7Rnt8fdUDSc=
X-Virus-Scanned: Debian amavisd-new at test.virtualizor.com
Received: from sinyavsky.aurox.ch ([127.0.0.1])
 by sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1]) (amavisd-new,
 port 10026) with ESMTP id AY-xB7QFtW6H for <28544 <at> debbugs.gnu.org>;
 Sun, 26 Nov 2017 14:08:45 +0000 (UTC)
Received: from gray (125.85.192.178.dynamic.wline.res.cust.swisscom.ch
 [178.192.85.125])
 by sinyavsky.aurox.ch (Postfix) with ESMTPSA id 8EE7D225C0;
 Sun, 26 Nov 2017 14:08:45 +0000 (UTC)
Date: Sun, 26 Nov 2017 15:17:43 +0100
Message-Id: <m2h8thdszc.fsf@HIDDEN>
From: charles@HIDDEN (Charles A. Roelli)
To: Sung Ho Kim <sk6875@HIDDEN>
In-reply-to: <m27ewuqdfa.fsf@HIDDEN>
 (message from Sung Ho Kim on Wed, 20 Sep 2017 12:03:37 +0900)
Subject: Re: bug#28544: 26.0.50;
 emacs will consume 100% cpu after gdb debugee exits
References: <m27ewuqdfa.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 28544
Cc: 28544 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> From: Sung Ho Kim <sk6875@HIDDEN>
> Date: Wed, 20 Sep 2017 12:03:37 +0900
> 
> First time using the bug report system, so apologies in advance if the
> report feels muddled.
> 
> The procedure I had used is as follows:
> 1) open emacs [-Q] [-nw]
>    N.B. the option flags -Q -nw do not make any difference in the
>    behavior described.
> 2) run gdb using M-x gdb ( I have tested gdb 7.12 and 8.0, 8.0.1 and
>    even earlier versions but gdb version do not seem to make any difference)
> 3) open any executable binary for debugging.
> 4) continue, step, next or run until binary in step (3) finishes
>    execution and exits (whether it exits normally or abnormally does not
>    make a difference)
> 5) open top and watch emacs cpu usage.
> 
> What I have noticed with a little bit of debugging and looking at the
> emacs source code is that in process.c in about line 5660 (thankfully
> process.c receives very little changes recently so the line number
> should be approximately accurate) you see the following code:
> -------------------------------------------------------------------
> 	      /* If we can detect process termination, don't consider the
> 		 process gone just because its pipe is closed.  */
> 	      else if (nread == 0 && !NETCONN_P (proc) && !SERIALCONN_P (proc)
> 		       && !PIPECONN_P (proc))
> -------------------------------------------------------------------
> This if clause becomes true when the debugee exits in Mac OS Sierra
> (10.12.6, BuildVersion 16G29, Darwin Kernel Version 16.7.0) and since
> nothing is done about the read file descriptor (proc's infd, outfd,
> channel) this results in an infinite loop where thread_select keeps
> returning nfds = 1 but the subsequent read operation will not return an
> error (i.e. nread will never be < 0) and nread will always be 0.  I feel
> this infinite loop is the cause of the 100% cpu usage behavior.
> 
> To test this theory, I added the same code used in the
> (nread == -1 && errno == EIO) condition to the
> (nread == 0 && !NETCONN_P (proc) && !SERIALCONN_P (proc) && !PIPECONN_P(proc))
> condition to remove the target file descriptor when this condition is
> encountered as such:
> 
> 	      else if (nread == 0 && !NETCONN_P (proc) && !SERIALCONN_P (proc)
> 		       && !PIPECONN_P (proc))
> #ifdef DARWIN_OS
> 		{
> 		  struct Lisp_Process *p = XPROCESS (proc);
> 
> 		  /* Clear the descriptor now, so we only raise the
> 		     signal once.  */
> 		  delete_read_fd (channel);
> 
> 		  if (p->pid == -2)
> 		    {
> 		      /* If the EIO occurs on a pty, the SIGCHLD handler's
> 			 waitpid call will not find the process object to
> 			 delete.  Do it here.  */
> 		      p->tick = ++process_tick;
> 		      pset_status (p, Qfailed);
> 		    }
> 		}
> #else
>                 ;
> #endif /* DARWIN_OS */
> 
> after rebuilding with the aforementioned change, the 100% cpu usage
> disappears.  I have refrained from offering a patch because I am not
> fully knowledgeable with the code and its possible side effects.
> 
> Thank you for your patience and your great work developing this great OS.
> 
> 
> In GNU Emacs 26.0.50 (build 2, x86_64-apple-darwin16.7.0)
>  of 2017-09-20 built on dana.local

Thanks a lot for investigating this problem.  It also happens on macOS
10.6, and your change fixes it.  Not knowing much about this part of
Emacs myself, I hope somebody can review your change soon.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28544; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2017 17:03:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 28 13:03:03 2017
Received: from localhost ([127.0.0.1]:39414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8UVj-000177-My
	for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 13:03:03 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50164)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1e8UVh-00016c-Kn
 for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 13:03:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e8UVb-0002pq-UB
 for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 13:02:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57552)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <eliz@HIDDEN>) id 1e8UVb-0002pf-Qq
 for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 13:02:55 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41122)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e8UVa-0005CM-Qp
 for bug-gnu-emacs@HIDDEN; Sat, 28 Oct 2017 13:02:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e8UVW-0002mx-Uw
 for bug-gnu-emacs@HIDDEN; Sat, 28 Oct 2017 13:02:54 -0400
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50740)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1e8UVW-0002mq-RB; Sat, 28 Oct 2017 13:02:50 -0400
Received: from [176.228.60.248] (port=1104 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1e8UVV-0001lW-HO; Sat, 28 Oct 2017 13:02:50 -0400
Date: Sat, 28 Oct 2017 20:02:41 +0300
Message-Id: <8360az5hou.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: sk6875@HIDDEN
In-reply-to: <848a7a7c-1983-47ed-8d15-6d64b4634e1a@HIDDEN>
 (sk6875@HIDDEN)
Subject: Re: bug#28544: 26.0.50;
 emacs will consume 100% cpu after gdb debugee exits
References: <mailman.907.1506017889.14750.bug-gnu-emacs@HIDDEN>
 <848a7a7c-1983-47ed-8d15-6d64b4634e1a@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sat, 28 Oct 2017 07:10:07 -0700 (PDT)
> From: sk6875@HIDDEN
> 
> Any updates on this?

I couldn't reproduce this on GNU/Linux and on Windows, so I think this
is a macOS specific problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28544; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Sep 2017 18:17:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 21 14:17:35 2017
Received: from localhost ([127.0.0.1]:51853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dv62Y-0006OL-UL
	for submit <at> debbugs.gnu.org; Thu, 21 Sep 2017 14:17:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sk68@HIDDEN>) id 1dv5yI-0006H8-Gp
 for submit <at> debbugs.gnu.org; Thu, 21 Sep 2017 14:13:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sk68@HIDDEN>) id 1dv5y8-0001n7-KO
 for submit <at> debbugs.gnu.org; Thu, 21 Sep 2017 14:13:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.1 required=5.0 tests=BAYES_50,DATE_IN_PAST_24_48,
 FREEMAIL_FROM,NO_DNS_FOR_FROM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56571)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sk68@HIDDEN>) id 1dv5y8-0001mt-Hk
 for submit <at> debbugs.gnu.org; Thu, 21 Sep 2017 14:13:00 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58136)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sk68@HIDDEN>) id 1dv5y6-00007A-QF
 for bug-gnu-emacs@HIDDEN; Thu, 21 Sep 2017 14:13:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sk68@HIDDEN>) id 1dv5y3-0001i7-4w
 for bug-gnu-emacs@HIDDEN; Thu, 21 Sep 2017 14:12:58 -0400
Received: from [211.226.22.59] (port=50161 helo=dana.local)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sk68@HIDDEN>) id 1dv5y2-0001gS-IH
 for bug-gnu-emacs@HIDDEN; Thu, 21 Sep 2017 14:12:55 -0400
Received: by dana.local (Postfix, from userid 501)
 id 64F9184816B; Wed, 20 Sep 2017 12:03:37 +0900 (KST)
From: Sung Ho Kim <sk6875@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.50; emacs will consume 100% cpu after gdb debugee exits
Date: Wed, 20 Sep 2017 12:03:37 +0900
Message-ID: <m27ewuqdfa.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Mac OS X  [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 21 Sep 2017 14:17:34 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


First time using the bug report system, so apologies in advance if the
report feels muddled.

The procedure I had used is as follows:
1) open emacs [-Q] [-nw]
   N.B. the option flags -Q -nw do not make any difference in the
   behavior described.
2) run gdb using M-x gdb ( I have tested gdb 7.12 and 8.0, 8.0.1 and
   even earlier versions but gdb version do not seem to make any difference)
3) open any executable binary for debugging.
4) continue, step, next or run until binary in step (3) finishes
   execution and exits (whether it exits normally or abnormally does not
   make a difference)
5) open top and watch emacs cpu usage.

What I have noticed with a little bit of debugging and looking at the
emacs source code is that in process.c in about line 5660 (thankfully
process.c receives very little changes recently so the line number
should be approximately accurate) you see the following code:
-------------------------------------------------------------------
	      /* If we can detect process termination, don't consider the
		 process gone just because its pipe is closed.  */
	      else if (nread =3D=3D 0 && !NETCONN_P (proc) && !SERIALCONN_P (proc)
		       && !PIPECONN_P (proc))
-------------------------------------------------------------------
This if clause becomes true when the debugee exits in Mac OS Sierra
(10.12.6, BuildVersion 16G29, Darwin Kernel Version 16.7.0) and since
nothing is done about the read file descriptor (proc's infd, outfd,
channel) this results in an infinite loop where thread_select keeps
returning nfds =3D 1 but the subsequent read operation will not return an
error (i.e. nread will never be < 0) and nread will always be 0.  I feel
this infinite loop is the cause of the 100% cpu usage behavior.

To test this theory, I added the same code used in the
(nread =3D=3D -1 && errno =3D=3D EIO) condition to the
(nread =3D=3D 0 && !NETCONN_P (proc) && !SERIALCONN_P (proc) && !PIPECONN_P=
(proc))
condition to remove the target file descriptor when this condition is
encountered as such:

	      else if (nread =3D=3D 0 && !NETCONN_P (proc) && !SERIALCONN_P (proc)
		       && !PIPECONN_P (proc))
#ifdef DARWIN_OS
		{
		  struct Lisp_Process *p =3D XPROCESS (proc);

		  /* Clear the descriptor now, so we only raise the
		     signal once.  */
		  delete_read_fd (channel);

		  if (p->pid =3D=3D -2)
		    {
		      /* If the EIO occurs on a pty, the SIGCHLD handler's
			 waitpid call will not find the process object to
			 delete.  Do it here.  */
		      p->tick =3D ++process_tick;
		      pset_status (p, Qfailed);
		    }
		}
#else
                ;
#endif /* DARWIN_OS */

after rebuilding with the aforementioned change, the 100% cpu usage
disappears.  I have refrained from offering a patch because I am not
fully knowledgeable with the code and its possible side effects.

Thank you for your patience and your great work developing this great OS.


In GNU Emacs 26.0.50 (build 2, x86_64-apple-darwin16.7.0)
 of 2017-09-20 built on dana.local
Repository revision: bc511a64f6da9ab51acc7c8865e80c4a4cb655c2
Recent messages:
applying putty GNU screen fixes.
Reusing Dired buffers is now ON
Turning on magit-auto-revert-mode...done
ad-handle-definition: =E2=80=98compilation-start=E2=80=99 got redefined
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --prefix=3D/opt/local/emacs-git --without-makeinfo
 --without-ns --without-pop --without-mailutils'

Configured features:
DBUS NOTIFY ACL GNUTLS LIBXML2 ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  diff-auto-refine-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  bury-successful-compilation: t
  global-auto-complete-mode: t
  cl-old-struct-compat-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
~/.emacs.d/lisp/expand-region-core hides /Users/sk68/.emacs.d/elpa/expand-r=
egion-0.11.0/expand-region-core
~/.emacs.d/lisp/linum hides /opt/local/emacs-git/share/emacs/26.0.50/lisp/l=
inum

Features:
(shadow sort mail-extr emacsbug sendmail term/xterm xterm flymake
flymake-proc compile flymake-ui display-line-numbers elec-pair
magit-obsolete magit-blame magit-stash magit-bisect magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-branch
magit-files magit-refs magit-status magit magit-repos magit-apply
magit-wip magit-log magit-diff smerge-mode diff-mode magit-core
magit-autorevert autorevert filenotify magit-process magit-margin
magit-mode magit-git magit-section magit-popup git-commit magit-utils
crm log-edit message subr-x puny rfc822 mml mml-sec epa epg gnus-util
rmail rmail-loaddefs time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev
mail-utils gmm-utils mailheader pcvs-util add-log with-editor cl-extra
async-bytecomp async shell pcomplete comint ansi-color ring server dash
help-mode dired+ image-dired image-mode format-spec image-file image
dired-x dired-aux dired dired-loaddefs cl findheader
compilation-window-helper bury-successful-compilation advice
auto-complete-config auto-complete popup ztree ztree-diff
ztree-diff-model ztree-dir easy-mmode ztree-view edmacro kmacro
ztree-util jison-mode bison-mode derived cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs regexp-opt
finder-inf info tool-bar package easymenu epg-config url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars seq byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib mule-util tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type tabulated-list replace newcomment text-mode
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow
isearch timer select mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind kqueue multi-tty make-network-process emacs)

Memory information:
((conses 16 267423 9498)
 (symbols 48 33034 2)
 (miscs 40 79 97)
 (strings 32 73135 3249)
 (string-bytes 1 2304657)
 (vectors 16 29273)
 (vector-slots 8 620415 7189)
 (floats 8 124 327)
 (intervals 56 240 0)
 (buffers 992 12))




Acknowledgement sent to Sung Ho Kim <sk6875@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28544; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 26 Nov 2017 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.